Subject: re: IPv6 in the network, please

From: Jeff Young <[email-masked]>
Date: Mon, 8 Nov 2004 19:22:56 -0500

IETF,

First, the executive summary:

v6 is, in fact, flowing across the wired of the IETF61 network.
v6 is not, in fact, flowing across the wireless of the IETF61
network.

v6 is spoken on wired ports in the terminal room thanks to a
generous contribution from the I2 community and GWU.

Now, the long-winded explanation:

During IETF 61, we chose to deploy technology for the wireless
that supports A/B/G and a number of innovative features.  This
technology helps us track down and eliminate rogue AP's, virus
infected machines, and in general gives us the ability to host a
more stable wireless environment.

This technology supports IPv6 but at the time the network came
up, we did not feel that the v6 implementation was stable enough
to run, we have disabled IPv6 on the wireless networks.

The crew that put the IETF61 network together contains many of
the same individuals that created networks in San Diego, Minneapolis,
and etc.  which did support IPv6 on wired and wireless.  I apologize
for any inconvenience that we have caused.  If v6 is absolutely required
in some area of the hotel, we would be happy to try to work out a 
solution.
The NOC is located inside the terminal room.

jy

Jeff Young
Alcatel by day
IETF Crew by night

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Tim Chown <[email-masked]>
Date: Tue, 9 Nov 2004 10:45:09 +0000

Hi,

Could you describe why exactly IPv6 can't run on the (layer 2?) WLAN
infrastructure?   I'm sure this would be a help for many people to
know which products do not support IPv6...

It sounds like the WLAN access points you have chosen can't handle
multicast in some form?   Which make/model are they?

Tim

On Mon, Nov 08, 2004 at 07:22:56PM -0500, Jeff Young wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> IETF,
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.2.3 (Darwin)
> 
> iD8DBQFBkA3mLWqnmaznXfoRAkbjAJsFx5UB84PwF/hfe/CrooST9fLIjQCfZ4m5
> v/p+Np9Gd/0a6Um9kTS1i/c=
> =E78X
> -----END PGP SIGNATURE-----
> 
> 

-- 
Tim

North American IPv6 Task Force Technologist Seminar
More info at http://www.ipv6seminar.com/

---

From: Masataka Ohta <[email-masked]>
Date: Tue, 09 Nov 2004 21:14:51 +0900

Tim Chown wrote:

IPv6 is defective in so many ways. But, w.r.t. WLAN, here is the
reason.

> infrastructure?

That ND extensively, without any valid reason to do so, use
multicast, which is not acknowledged at WLAN L2, means IPv6
or its ND is unreliable over congested WLAN. If multicast
ND packet is lost by congestion, it is not retransmitted by L2.

MIP failed mostly because there has been no standards MIP over
link technologies, which are adaptation layers between L2 and L3.

RFC2002 does not specify anything about how CoA addresses can
be obtained, which is fine, if and only if there are other
specifications on link or provider dependent ways to do so.

IPv6 made it worse by trying to standardize ND as *THE* adaptation
mechanism, even though the mechanism *MUST* depend on details of
L2 and *MUST* be different L2 by L2.

As a result, IPv6 won't stably run over WLAN, multicast over which
has characteristics much different from wired Ether.

						Masataka Ohta

---

From: Tim Chown <[email-masked]>
Date: Tue, 9 Nov 2004 12:34:26 +0000

Masataka,

Your crusade aside, IPv6 works perfectly well/stably on many, many other
WLAN infrastructures, but not this one.   I'm interested in why this
specific hardware has problems, and what the hardware is.   Unless named,
we can only assume it is Alcatel equipment that is problematic.

And I don't remember asking about MIP :)

Tim

-- 
Tim

---

From: Masataka Ohta <[email-masked]>
Date: Tue, 09 Nov 2004 23:28:40 +0900

Tim Chown wrote:

> WLAN infrastructures,

save congested ones, of course. So?

> but not this one.

There, of course, can be a lot of possible reasons on why IPv6
do not work. However, mine is WLAN specific.

> And I don't remember asking about MIP :)

It's complimentary, as someone mentioned wrong reasoning of NAT.

							Masataka Ohta

---

From: Michael Thomas <[email-masked]>
Date: Tue, 09 Nov 2004 07:08:44 -0800

I think that this begs the question of where the
larger problem lies: while IP can run over pigeons,
bailing wire and quite possibly chewing gum, there
are clearly some media that IP runs over better. Looking
at the various wireless media, they are either somewhere
between completely hopeless (cellular with its purpose
built PSTN roots) to "overhelpful" (bluetooth) to sort
of ok for a first order approximation (802.11). IMO, what we
need are radio networks whose L1/L2's are built with IP in
mind first and foremost -- not afterthoughts, not "one of
many". 

There are surely some things that IP -- both v4 and v6 -- could do
better, but what they will never be able to do is 
work well over a broken L1/L2. Until we have  wireless
media which are trying to work with rather than at cross
purposes with IP, it really doesn't matter what IETF 
specifies.

Finally: I rather get annoyed when L1/L2 people tell me
"that's not the way our L1/L2 works!", blah, blah, blah.
Fine. Engineer us something that does work; stop telling
us to engineer for broken media. IP has won in the
marketplace in case they have been asleep for the last 10 years.

		Mike

---

From: Francis Dupont <[email-masked]>
Date: Tue, 09 Nov 2004 16:15:59 +0100

=> Masataka san, your argument is right (I saw 40% lost rate
on multicast over IEEE 802.11b) but it applies to IPv4 (ARP
uses broadcast) too...

Regards

[email-masked]

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 9 Nov 2004 10:40:11 -0500

ftp://ftp.rfc-editor.org/in-notes/rfc3819.txt was published in July 
(blush!)...

> marketplace in case they have been asleep for the last 10 years.

... and it is a BCP ...

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 10 Nov 2004 00:50:38 +0900

> on multicast over IEEE 802.11b) but it applies to IPv4 (ARP

Yes, it does, but not so badly.

ARP actually use broadcast for request but not for reply.

Moreover, ARP request from terminals to base stations, which
are often routers, are unicast at lower L2.

So, over WLAN, ARP works a lot better than ND. It should
also be noted that, with IPv4, it is natural to have link
specific adaptation mechanism for each different link type
that it is perfectly fine to have IP over WLAN which is
different from IP over Ether.

On the other hand, ND, an attempt to have a universal
adaptation mechanism ignoring link specific properties,
which contradicts with the very basic reason to have
"adaptation", is a total failure.

It should be noted that MIPv6 is hopelessly tainted by ND.

						Masataka Ohta

---

From: Masataka Ohta <[email-masked]>
Date: Wed, 10 Nov 2004 00:58:51 +0900

Michael Thomas wrote:

> bailing wire and quite possibly chewing gum,

Both of IPs themselves can. ND can not.

						Masataka Ohta

---

From: Fred Templin <[email-masked]>
Date: Tue, 9 Nov 2004 09:11:55 -0800 (PST)

Spencer Dawkins <[email-masked]> wrote:ftp://ftp.rfc-editor.org/in-notes/rfc3819.txt was published in July 
(blush!)... (snip) ... and it is a BCP ... 

How does this work relate to RFC3150 (BCP48) and RFC3155 (BCP50),
e.g., I don't see any "Obsoletes:" statements in the header?
 
Thanks - Fred
[email-masked]

---

From: Leif Johansson <[email-masked]>
Date: Tue, 09 Nov 2004 18:55:03 +0100

> to run, we have disabled IPv6 on the wireless networks.

A separate ESSID wo this stuff would have been a solution...

	MVH leifj

---

From: "Spencer Dawkins" <[email-masked]>
Date: Tue, 9 Nov 2004 14:59:29 -0500

Hi, Fred,

"Orthogonal" isn't one of the options ... perhaps we should add it in NEWTRK?

RFC 3819 is BCP guidance for layer two protocol designers who want clue. The other PILC BCPs (3150 and 3155) are guidance for transport users who have to run over layer two protocols designed without clue. Similar environments, but different readers.

And thanks for asking!

Spencer
  ----- Original Message ----- 
  From: Fred Templin 
  To: Spencer Dawkins ; [email-masked] 
  Sent: Tuesday, November 09, 2004 12:11 PM
  Subject: Re: Why, technically, MIP and IPv6 can't be deployed

  Spencer Dawkins <[email-masked]> wrote: 
    ftp://ftp.rfc-editor.org/in-notes/rfc3819.txt was published in July 
    (blush!)... (snip) ... and it is a BCP ... 

  Thanks - Fred
  [email-masked]